# WordPress SM Sticky Clicky Star

[![CircleCI](https://circleci.com/gh/WordPress-Phoenix/sm-sticky-clicky-star.svg?style=svg)](https://circleci.com/gh/WordPress-Phoenix/sm-sticky-clicky-star)

- Contributors: sethcarstens
- Donate link: http://sethmatics.com/extend/plugins/sm-sticky-clicky-star/
- Tags: sticky, post, page, plugin, ajax, admin

Turn sticky (featured) posts on and off with 1 easy click! Control permissions with "User Role Editor" provided by http://sethmatics.com/.

## UPDATING `/lib` files

Lib files come from composer, but you need to ensure you run the command without the composer autoloader:
```
composer update --no-dev --no-autoloader
```

## Description

Turn sticky (featured) posts on and off with 1 easy click! Control permissions with "User Role Editor" provided by http://sethmatics.com/.

This plugin is probably the most simple from the SM plugins collection. However, its usefulness and time saving features make it very powerful. Many themes and plugins use the "sticky" option in WordPress either to move a particular post above other posts, or to "feature" posts. An example is that a good deal of themes use "sticky" posts to populate a "featured posts" slider on the homepage of the blog. Quickly turn posts sticky status on and off with 1 click.

Features include:

* uses builtin WordPress functions to reduce any possibilities of conflicts with other themes and plugins
* a nice looking star icon uses AJAX upon click to immediately save your posts sticky status

Don't forget to rate our plugin so we know how we are doing!

## Installation

To install the plugin manually:

1. Extract the contents of the archive (zip file)
2. Upload the sm-sticky-clicky-star folder to your '/wp-content/plugins' folder
3. Activate the plugin through the Plugins section in your WordPress admin
4. Visit the "posts" section from within /wp-admin/.
5. Use the Sticky Clicky Stars to turn on and off the sticky attribute of the post.

## Frequently Asked Questions

Q: How do I use the plugin?

A: Visit the "posts" section from within /wp-admin/ and use the Sticky Clicky Stars to turn on and off the sticky attribute of the post. (see screenshot)

Q: What is sticky and why should I care?

A: If you found this plugin, you were likely searching for a better way to manage sticky posts. We assure you, this is a better way to manage sticky posts.

Q: Where is the options panel?

A: There is no options panel. The only changes you will see in the wp-admin is an additional column on the "posts" page that now has a Sticky Clicky Star.

## Screenshots
1. Sample of the "posts" page within wpin where a couple of the pages were marked as sticky.
![screenshot-1](https://user-images.githubusercontent.com/1483300/56012206-53163d80-5ca0-11e9-8681-161237d9288c.png)